#ifndef BITMAP_H_
#define BITMAP_H_

#include <io.h>
#include "alt_types.h"  // alt_u32
#include "my_types.h"

// bmp header
typedef struct {
  alt_u8 identity[2];
  alt_u32 file_size;
  alt_u32 reserved;
  alt_u32 RGB_data_offset;
  alt_u32 BITMAPINFOHEADER_size;
  alt_u32 width;
  alt_u32 height;
  alt_u16 planes;
  alt_u16 bit_per_pixel;
  alt_u32 compression;
  alt_u32 data_size;
  alt_u32 h_resolution;
  alt_u32 v_resolution;
  alt_u32 used_colors;
  alt_u32 important_colors;
} BitmapHeader;

BitmapHeader* get_bmp_header(alt_u8 *header);
bool chk_valid_bmp(BitmapHeader *header);

#endif /*BITMAP_H_*/
